OpenNMS API 1.2.9

## org.opennms.web.event
Class EventQueryParms

    java.lang.Object
      org.opennms.web.event.EventQueryParms

public class EventQueryParms
extends java.lang.Object

Convenience data structure for holding the arguments to an event query.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`EventFactory.AcknowledgeType` `ackType`
`java.util.ArrayList` `filters`
`int` `limit`
`int` `multiple`
`EventFactory.SortStyle` `sortStyle`

Constructor Summary
`EventQueryParms()`

Method Summary
`Filter[]` `getFilters()` Convert the internal (and useful) ArrayList filters object into an array of Filter instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sortStyle

    public EventFactory.SortStyle sortStyle

### ackType

    public EventFactory.AcknowledgeType ackType

### filters

    public java.util.ArrayList filters

### limit

    public int limit

### multiple

    public int multiple

Constructor Detail

### EventQueryParms

    public EventQueryParms()

Method Detail

### getFilters

    public Filter[] getFilters()

  Convert the internal (and useful) ArrayList filters object into an array of Filter instances.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.